AN_UNSET_PROXY(3)

NAME

an_unset_proxy - set a proxy capable socket to not use a proxy

SYNOPSIS

#include <antinat.h>

int an_unset_proxy(ANCONN s);

DESCRIPTION

The an_unset_proxy(3) function is used to remove any proxy server specification. Given that the default value for a newly created socket is derived from the AN_PROXY environment variable, this function should be used if you are certain that a proxy should not be used on a socket. If a proxy should be used on the socket, call either the an_set_proxy(3) or an_set_proxy_url(3) function.

s is a socket previously created with an_new_connection(3).

RETURN VALUE

This call returns AN_ERROR_SUCCESS to indicate successful completion.

ERRORS

AN_ERROR_INVALIDARG
    The socket handle is invalid.

SEE ALSO

an_new_connection(3), an_set_proxy(3), an_set_proxy_url(3)

AUTHOR

Malcolm Smith <malxau@users.sourceforge.net>